ui = {}
uiText = {}

uiPosition = {}


oldSelected = {}

function ui:start()

	uiPosition.x = 0
	uiPosition.y = 0

	for x = 0, 0 do
		ui[x] = {}
		for y = 0, 1 do
			ui[x][y] = 0
		end
	end
end

function ui:update()
	uiPosition.y = clamp(uiPosition.y, 0, 1)

	if oldSelected ~= {} then
		oldSelected.selected = false
	end

	local selectedObject = ui[uiPosition.x][uiPosition.y]
	selectedObject.selected = true
	oldSelected = selectedObject

end
return ui