maps = {}
current_map = ""

function maps:introScene()
	ui.running = false
	audio:play(sounds.waterfall, true, true)
	objects = {}
	current_map = "Intro"

	brick = object:new(window_width/2, window_height/2, 100, 100, 0, "Rectangle")
	brick:translate(-brick.w/2, -brick.h/2)

	player = object:new(100, 200, 30, 30, 0, "Rectangle")
	player.spd = 300

end

function maps:titleScene()
	ui.running = true
	audio:play(sounds.hiphop, true, true)
	objects = {}
	current_map = "Title"

	play = object:new(window_width/2 - 100, 200, 1, 1, 0, "Text")
	play.text = "Play"
	play.selected = true

	play.run = function()
		maps:introScene()
	end

	quit = object:new(window_width/2 - 120, window_height/2 + 50, 1, 1, 0, "Text")
	quit.text = "Quit"
	quit.selected = false

	quit.run = function()
		love.event.quit()
	end
	ui[0][0] = play
	ui[0][1] = quit
end

function maps:removeScenes()
	objects = {}
	current_map = "None"
end

return maps